Subject: Re: [Mentoring-coordinators] IETF Mentor Program

From: "Black, David" <[email-masked]>
Date: Sat, 3 Aug 2013 10:55:42 -0400

See attached email message for a promising mentoring team approach that enables WG chairs to mentor.

All three of Fawaz's ISOC mentors are WG chairs ... well, ok, Richard Scheffenegger chaired the AQM BOF which is not a WG ... but was one of the most important TSV sessions this past week, so he was at least as busy as a WG chair.

Thanks,
--David

> -----Original Message-----
> From: Eggert, Lars [mailto:[email-masked]]
> Sent: Wednesday, July 17, 2013 3:09 AM
> To: [email-masked]
> Cc: Black, David
> Subject: Fwd: IETF Mentor Program
> 
> Thoughts from David Black.
> 
> Begin forwarded message:
> 
> > From: "Black, David" <[email-masked]>
> > Subject: RE: Fwd: IETF Mentor Program
> > Date: July 16, 2013 22:43:09 GMT+02:00
> > To: Spencer Dawkins <[email-masked]>
> > Cc: "Eggert, Lars" <[email-masked]>, Martin Stiemerling
> <[email-masked]>, "Black, David" <[email-masked]>, "Jari
> Arkko" <[email-masked]>
> >
> > [-TSV chairs list, +Jari, as he should be interested in the mentoring FAQ
> concern]
> >
> > Been there, done that - along w/volunteering myself, I suggested Mirja
> Kuehlewind and Richard Scheffenegger to help out w/mentoring some ISOC Fellows
> who have TSV interests.  Both Mirja and Richard have agreed to help out.
> >
> > This sentence in the mentor FAQ (http://www.ietf.org/resources/mentoring-
> faq-mentor.html) is (IMHO) a potentially significant obstacle to getting good
> mentors:
> >
> > 	While anyone can volunteer to be a mentor, it is expected that the most
> mentors
> > 	will not hold IESG, IAB, or WG Chair positions (due to time/scheduling
> issues).
> >
> > Fortunately, ISOC approached us directly with a promise of much lighter
> time/effort commitment than is implied by that sentence.
> >
> > While I understand I* members not having time (we could clone each of them,
> and both copies would be fully scheduled), if WG chairs are inappropriate as
> mentors, then the mentoring program needs work, IMHO.
> >
> > Thanks,
> > --David
> >
> >> -----Original Message-----
> >> From: Spencer Dawkins [mailto:[email-masked]]
> >> Sent: Tuesday, July 16, 2013 11:57 AM
> >> To: Eggert, Lars
> >> Cc: [email-masked]
> >> Subject: Re: Fwd: IETF Mentor Program
> >>
> >> On 7/16/2013 10:20 AM, Eggert, Lars wrote:
> >>> Hi,
> >>>
> >>> I'm one of the folks matching up mentors and newcomers. We have a few
> >> newcomers that are interested in TSV, but VERY few TSV folks volunteering
> to
> >> be mentors. Please step up! And soon!
> >>
> >> Just to echo Lars, I have watched the effect that good mentors have had
> >> on new participants, and I've seen new and unmentored participants
> >> flounder, for something like a decade. This is a great opportunity to
> >> make the IETF more effective, and (perhaps equally important) to help
> >> new participants understand how to get things done without wasting the
> >> time of chairs (this would be you) and from working groups (where you're
> >> trying to get something done with the time the working group
> >> participants had available before people showed up to waste it).
> >>
> >> The TSV volunteers I've seen are working group chairs. If you're
> >> concerned about having enough time to mentor, you could honorably acquit
> >> yourself by helping to identify and recruit participants in your working
> >> groups who would make good mentors - and you likely know more of them
> >> than Lars and I know.
> >>
> >> Lars may not know this, but he actually started out down one mentor
> >> volunteer, because I'd volunteered when I was still on the IAB and had
> >> to withdraw because I'm just not going to have time to be helpful at my
> >> first IETF as AD. But it looked like a great opportunity to me. So if
> >> you can volunteer, or recruit a volunteer, that would be great!
> >>
> >> Spencer
> >>
> >>> Lars
> >>>
> >>> Begin forwarded message:
> >>>
> >>>> From: IETF Chair <[email-masked]>
> >>>> Subject: IETF Mentor Program
> >>>> Date: July 1, 2013 21:39:36 GMT+02:00
> >>>> To: IETF Announcement List <[email-masked]>
> >>>> Reply-To: <[email-masked]>
> >>>>
> >>>> Hi all,
> >>>>
> >>>>   Based on discussions during IETF 86, we are trialing an IETF mentoring
> >> program.  During this trial period, we would like to pair newcomers (people
> >> who have attended 3 or fewer meetings or have registered as students) with
> >> existing IETF participants.  The goal is to provide a resource for the
> >> newcomer who can assist them with integrating into the IETF community.
> >> Mentors and newcomers will be paired prior to IETF 87.
> >>>>
> >>>>   What we need is for people to volunteer to be mentors. As a mentor, we
> >> would ask that you be willing to assist your mentoring participant before,
> >> during, and (hopefully) after IETF 87.  The actual level of interaction
> will
> >> be driven by an agreement between the mentor and the mentoring participant.
> >> Additionally, we would need a brief description of your areas of expertise,
> >> technical interests, and conversational languages.
> >>>>
> >>>>   A description of the Mentor Program (including a FAQ describing
> >>>> how to volunteer to be a mentor) is available:
> >>>>
> >>>> http://www.ietf.org/resources/mentoring-program.html.
> >>>>
> >>>>   Anyone interested in being a mentor should follow the sign-up
> >>>> instructions contained in the above URL.  The more volunteers we have,
> >>>> the stronger the program will be!
> >>>>
> >>>> Regards,
> >>>> IETF Chair
> >>
> >
> 

Subject: Re: An e-introduction for IETF 87: Your Mentors
From: "Black, David" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "Black, David" <[email-masked]>
Date: Sat, 3 Aug 2013 09:57:24 -0400

Hi Fawaz,

Thank you - it was a pleasure to be of assistance.

Steve - this multiple mentor structure seems to have worked well (this was not a problem for me despite my packed IETF schedule) - I'd encourage you to consider using this structure again in the future.

Thanks, --David +++Sent from Blackberry

From: Fawaz Bokhari [mailto:[email-masked]]
Sent: Saturday, August 03, 2013 05:00 AM
To: Black, David
Cc: Scheffenegger, Richard <[email-masked]>; Mirja Kuehlewind <[email-masked]>; Steve Conte <[email-masked]>
Subject: Re: An e-introduction for IETF 87: Your Mentors

Hi David, Richard and Mirja,

Just wanted to let you know guys that I am very much thankful for you three for all your support, help and assistance throughout the IETF meeting. It was an exciting week with lots of information for a newbie like me and I have learnt a lot about IETF processes like internet drafts and RFCs. I plan to actively and productively contribute to the different mailing lists of the working groups particularly in the Transport area (tsvwg).

Looking forward to keeping in touch with you guys on the mailing lists and also in future IETF meetings.

Best,
Fawaz

On Mon, Jul 15, 2013 at 11:24 PM, Steve Conte <[email-masked]<mailto:[email-masked]>> wrote:
Fawaz and Adib,

I would like to e-introduce you to your mentors for the upcoming IETF meeting in Berlin: David Black, Mirja Kuehlwind, and Richard Scheffenegger (cc'd). They are gracious enough to participate as a mentor for the ISOC Fellowship to the IETF and was paired with you based on your areas of experience and interests within the IETF.

Because we had a few fellows interested in the tsvwg working group, I've created a mentor community compared to pairing you up individually with someone.  This should allow for a more robust conversation and the ability to have a dialog, even if one of the mentors is unavailable.

They will be able to answer any questions you may have about the IETF process, the meeting proceedings & culture, and your participation in the IETF.

The Internet Society will be holding a Fellowship dinner on Sunday, 28 July where typically you would both have an opportunity to meet face-to-face before the week's activities kick off.

You will receive details about the dinner (time/location) before the meeting.

Let me know if either of you have any questions.

Thanks and I look forward to seeing you in Berlin,

Steve
-----
Steve Conte
Internet Leadership Programme
The Internet Society
[email-masked]<mailto:[email-masked]>